Boxing Data API - Explore Boxing Events with the Events Endpoint
Events are a collection of boxing matches put together by a promotion company. Each event includes a title, date, location, venue, and broadcaster information. Use the event ID to filter for all fights on a specific fight card.
Endpoints
1. List events:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/events/ - Description: Retrieves a list of boxing events according to any filters that you supply.
2. Get a specific event:
- Endpoint URL:
https://boxing-data-api.p.rapidapi.com/v2/events/<event_id> - Description: Retrieves detailed information about a specific event.
List all events
The following query params can be used to filter the events returned
| Query Param | Description | Example | Default | Required |
|---|---|---|---|---|
status | The status of the event, either NOT_STARTED, LIVE or FINISHED | FINISHED | Null | No |
date | The date of the event, in the format YYYY-MM-DD | 2024-11-13 | Null | No |
date_from | The starting date of date range, in format YYYY-MM-DD | 2024-10-13 | Null | No |
date_to | The ending date of a date range, in format YYYY-MM-DD | 2024-11-13 | Null | No |
date_sort | To sort the response by descending or ascending date order, either ASC or DESC | DESC | DESC | No |
page_size | To limit the amount of items returned in the response | 10 | 25 | No |
page_num | The page number of the response | 5 | 1 | No |
curl --request GET --url https://boxing-data-api.p.rapidapi.com/v2/events/ --header 'x-rapidapi-key: [Your RapidAPI Key]'axios.get('https://boxing-data-api.p.rapidapi.com/v2/events', { headers: { 'X-RapidAPI-Key': '[Your RapidAPI Key]' }}).then(response => { console.log(response.data);}).catch(error => { console.error(error);});import requests
url = "https://boxing-data-api.p.rapidapi.com/v2/events"headers = { 'X-RapidAPI-Key': '[Your RapidAPI Key]'}
response = requests.get(url, headers=headers)print(response.json())Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 2, "total_pages": 1, "total_items": 2 }, "error": {}, "data": [ { "title": "Usyk vs Fury II", "date": "2024-12-21T00:00:00", "location": "Riyadh, Saudi Arabia", "venue": "Kingdom Arena", "broadcasters": [ { "United States": "DAZN PPV" }, { "United Kingdom": "DAZN PPV UK" } ], "broadcast": [ { "country": "United States", "broadcasters": ["DAZN PPV"] }, { "country": "United Kingdom", "broadcasters": ["DAZN PPV UK"] } ], "updated_at": "2024-12-20T10:30:00.000000", "id": "671bcadd48e55a898f6895a3", "poster_image_url": null } ]}List upcoming events schedule
Returns events happening in the next N days. Defaults to 30 days.
| Query Param | Description | Example | Default | Required |
|---|---|---|---|---|
days | The number of days from today you want to search | 30 | 30 | No |
date_sort | To sort the response by descending or ascending date order, either ASC or DESC | DESC | DESC | No |
page_size | To limit the amount of items returned in the response | 10 | 25 | No |
page_num | The page number of the response | 5 | 1 | No |
curl --request GET --url 'https://boxing-data-api.p.rapidapi.com/v2/events/schedule' --header 'x-rapidapi-key: [Your RapidAPI Key]'axios.get('https://boxing-data-api.p.rapidapi.com/v2/events/schedule', { headers: { 'X-RapidAPI-Key': '[Your RapidAPI Key]' }}).then(response => { console.log(response.data);}).catch(error => { console.error(error);});import requests
url = "https://boxing-data-api.p.rapidapi.com/v2/events/schedule"headers = { 'X-RapidAPI-Key': '[Your RapidAPI Key]'}
response = requests.get(url, headers=headers)print(response.json())Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 3, "total_pages": 1, "total_items": 3 }, "error": {}, "data": [ { "title": "Berinchyk vs Davis", "date": "2025-02-15T02:00:00", "location": "New York, United States", "venue": "Madison Square Garden Theater", "broadcasters": [ { "United States": "ESPN+" }, { "United Kingdom": "Sky Sports Action" } ], "updated_at": "2025-02-10T14:30:00.000000", "id": "677f82523b7da567f76eac51", "poster_image_url": null } ]}Get specific event
To get a single event, append the event ID to the URL: /v2/events/<event_id>
Example response:
{ "metadata": { "timestamp": "2026-02-27T12:00:00.000000+00:00" }, "pagination": { "page": 1, "items": 1, "total_pages": 1, "total_items": 1 }, "error": {}, "data": { "title": "Usyk vs Fury II", "date": "2024-12-21T00:00:00", "location": "Riyadh, Saudi Arabia", "venue": "Kingdom Arena", "broadcasters": [ { "United States": "DAZN PPV" }, { "United Kingdom": "DAZN PPV UK" } ], "broadcast": [ { "country": "United States", "broadcasters": ["DAZN PPV"] }, { "country": "United Kingdom", "broadcasters": ["DAZN PPV UK"] } ], "updated_at": "2024-12-20T10:30:00.000000", "id": "671bcadd48e55a898f6895a3", "poster_image_url": null }}